de.dhbwstuttgart.typeinference.typedeployment

## Class TypeInsertSet

- java.lang.Object
- - de.dhbwstuttgart.typeinference.typedeployment.TypeInsertSet

    public class TypeInsertSet
    extends java.lang.Object

BÃ¼ndelt ein Set von TypeInsertPoints, welche zu einem TypeInferenceResultSet gehÃ¶ren. Das TypeInsertSet lÃ¶st zudem AbhÃ¤ngigkeiten auf. Wird eine Generische Variable eingesetzt, mÃ¼ssen alle mit ihr in Verbindung stehenden Typen ebenfalls eingesetzt werden.

Author:
  janulrich

### Field Summary

Fields
`Menge<TypeInsertPoint>` `points`
`private ResultSet` `resultSet`
`protected Logger` `typinferenzLog`

### Constructor Summary

Constructors
Constructor and Description
`TypeInsertSet(ResultSet resultSet)`

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`void` `add(Menge<TypeInsertPoint> insertPoints)` FÃ¼gt TypeInsertPoints an
`void` `add(TypeInsertPoint typeInsertPoint)` FÃ¼gt einen TypeInsertPoint dem TypeInsertSet hinzu.
`boolean` `equals(java.lang.Object obj)`
`TypeInsertPoint` `getInsertPointFor(TypeInsertable node)`
`java.lang.String` `insertAllTypes(java.lang.String fileContent)` Deprecated.
`java.lang.String` `insertType(TypeInsertPoint tip, java.lang.String fileContent)` FÃ¼gt nur einen einzelnen TypeInsertPoint in fileContent ein.
`private void` `insertType(TypeInsertPoint tip, TypePatchJob tpj)` FÃ¼gt einen einzelnen TypeInsertPoint einem TypePatchJob hinzu
`private boolean` `pairsDeclareTPH(Menge<Pair> ps, TypePlaceholder tph)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### typinferenzLog

    protected Logger typinferenzLog

#### points

    public Menge<TypeInsertPoint> points

#### resultSet

    private ResultSet resultSet

### Constructor Detail

#### TypeInsertSet

    public TypeInsertSet(ResultSet resultSet)

### Method Detail

#### add

    public void add(TypeInsertPoint typeInsertPoint)

FÃ¼gt einen TypeInsertPoint dem TypeInsertSet hinzu.

Parameters:
  `typeInsertPoint` -

#### insertType

    public java.lang.String insertType(TypeInsertPoint tip,
                                       java.lang.String fileContent)

FÃ¼gt nur einen einzelnen TypeInsertPoint in fileContent ein.

Parameters:
  `tip` -
  `fileContent` -
Returns:

#### insertType

    private void insertType(TypeInsertPoint tip,
                            TypePatchJob tpj)

FÃ¼gt einen einzelnen TypeInsertPoint einem TypePatchJob hinzu

Parameters:
  `tip` -
  `tpj` -

#### pairsDeclareTPH

    private boolean pairsDeclareTPH(Menge<Pair> ps,
                                    TypePlaceholder tph)

#### insertAllTypes

    @Deprecated
    public java.lang.String insertAllTypes(java.lang.String fileContent)

Deprecated.
FÃ¼gt alle Typen dieses TypeInsertSets in den Ã¼bergebenen Quellcode ein

Parameters:
  `fileContent` -
Returns:

#### getInsertPointFor

    public TypeInsertPoint getInsertPointFor(TypeInsertable node)

Parameters:
  `node` -
Returns:
  - null, falls kein InsertPoint fÃ¼r node vorhanden.

#### equals

    public boolean equals(java.lang.Object obj)

Overrides:
  `equals` in class `java.lang.Object`

#### add

    public void add(Menge<TypeInsertPoint> insertPoints)

FÃ¼gt TypeInsertPoints an

Parameters:
  `insertPoints` -

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`